gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.LinkButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype LinkButtonAccessible = LinkButtonAccessible (ManagedPtr LinkButtonAccessible)
- class (GObject o, IsDescendantOf LinkButtonAccessible o) => IsLinkButtonAccessible o
- toLinkButtonAccessible :: (MonadIO m, IsLinkButtonAccessible o) => o -> m LinkButtonAccessible

# Exported types

newtype LinkButtonAccessible Source #

Memory-managed wrapper type.

Constructors

LinkButtonAccessible (ManagedPtr LinkButtonAccessible) |

#### Instances

Instances details

Eq LinkButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible Methods (==) :: LinkButtonAccessible -> LinkButtonAccessible -> Bool Source # (/=) :: LinkButtonAccessible -> LinkButtonAccessible -> Bool Source #
GObject LinkButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible
ManagedPtrNewtype LinkButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible Methods toManagedPtr :: LinkButtonAccessible -> ManagedPtr LinkButtonAccessible Source #
TypedObject LinkButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes LinkButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible
IsGValue (Maybe LinkButtonAccessible) Source # | Convert `LinkButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe LinkButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe LinkButtonAccessible) Source #
type ParentTypes LinkButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible type ParentTypes LinkButtonAccessible = '[ButtonAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, HyperlinkImpl, Image]

class (GObject o, IsDescendantOf LinkButtonAccessible o) => IsLinkButtonAccessible o Source #

Type class for types which can be safely cast to `LinkButtonAccessible`, for instance with `toLinkButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf LinkButtonAccessible o) => IsLinkButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.LinkButtonAccessible

toLinkButtonAccessible :: (MonadIO m, IsLinkButtonAccessible o) => o -> m LinkButtonAccessible Source #

Cast to `LinkButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getHyperlink, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.